Classes
clanVorbis Sound Providers

## Classes
class | clan::SoundProvider_Vorbis
| Ogg Vorbis format sound provider. More...

## Construction
| clan::SoundProvider_Vorbis::SoundProvider_Vorbis (const std::string &filename, const FileSystem &fs, bool stream=false)
| Constructs a sound provider based on an ogg vorbis (.ogg) file. More...
| clan::SoundProvider_Vorbis::SoundProvider_Vorbis (const std::string &fullname, bool stream=false)
| clan::SoundProvider_Vorbis::SoundProvider_Vorbis (IODevice &file, bool stream=false)
virtual | clan::SoundProvider_Vorbis::~SoundProvider_Vorbis ()

## Operations
virtual SoundProvider_Session * | clan::SoundProvider_Vorbis::begin_session () override
| Called by SoundBuffer when a new session starts. More...
virtual void | clan::SoundProvider_Vorbis::end_session (SoundProvider_Session *session) override
| Called by SoundBuffer when a session has finished. After this call,. More...

## Implementation
class | clan::SoundProvider_Vorbis::SoundProvider_Vorbis_Session

## Detailed Description

## Function Documentation

clan::SoundProvider_Vorbis::SoundProvider_Vorbis | ( | const std::string & | filename,
|  | const FileSystem & | fs,
|  | bool | stream = `false`
| ) |  |

Constructs a sound provider based on an ogg vorbis (.ogg) file.

Parameters

  filename | Filename of module file.
  provider | Input source provider used to retrieve module file.
  stream | If true, will stream from disk. If false, will load it to memory.

clan::SoundProvider_Vorbis::SoundProvider_Vorbis | ( | const std::string & | fullname,
|  | bool | stream = `false`
| ) |  |

clan::SoundProvider_Vorbis::SoundProvider_Vorbis | ( | IODevice & | file,
|  | bool | stream = `false`
| ) |  |

virtual clan::SoundProvider_Vorbis::~SoundProvider_Vorbis | ( |  | ) |
| virtual

virtual SoundProvider_Session* clan::SoundProvider_Vorbis::begin_session | ( |  | ) |
| override virtual

Called by SoundBuffer when a new session starts.

Returns
  The soundbuffer session to be attached to the newly started session.

Implements clan::SoundProvider.

virtual void clan::SoundProvider_Vorbis::end_session | ( | SoundProvider_Session * | session | ) |
| override virtual

Called by SoundBuffer when a session has finished. After this call,.

SoundBuffer will not access the session anymore. It can safely be deleted here (and in most cases should be delete here).

Implements clan::SoundProvider.

## Friends

friend class SoundProvider_Vorbis_Session
| friend